## org.gnu.gtk
Class PackType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.PackType

public class PackType
extends org.gnu.glib.Enum

Represents the packing location of Box children.

     START
     The child is packed into the start of the box.
     END
     The chidl is packed into the end of the box.

See Also:
  `Box`, `VBox`, `HBox`

Field Summary
`static PackType` `END`
`static PackType` `START`

Method Summary
`PackType` `and(PackType other)`
`static PackType` `intern(int value)`
`PackType` `or(PackType other)`
`boolean` `test(PackType other)`
`PackType` `xor(PackType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START

    public static final PackType START

### END

    public static final PackType END

Method Detail

### intern

    public static PackType intern(int value)

### or

    public PackType or(PackType other)

### and

    public PackType and(PackType other)

### xor

    public PackType xor(PackType other)

### test

    public boolean test(PackType other)